//+------------------------------------------------------------------+
//|                                           MarketToday_Filter.mq4 |
//|                                        Copyright  2008, masemus |
//|                                                 Gresik@Indonesia |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, masemus"
#property link      "Gresik@Indonesia"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 1
#property indicator_buffers 3
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_color3 Gray
extern int TF=0;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
string TimeFrameStr;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  SetIndexStyle(0,DRAW_HISTOGRAM);
  SetIndexBuffer(0,ExtMapBuffer1);
  SetIndexStyle(1,DRAW_HISTOGRAM);
  SetIndexBuffer(1,ExtMapBuffer2);
  SetIndexStyle(2,DRAW_HISTOGRAM);
  SetIndexBuffer(2,ExtMapBuffer3);

switch(TF)
   {
      case 1 : TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current TF"; TF=0;
   }
   IndicatorShortName("MT_Filter ("+TimeFrameStr+")");  

 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----

for (int i = 0; i < 1000; i++){
   ExtMapBuffer1[i]=0;
   ExtMapBuffer2[i]=0;
   ExtMapBuffer3[i]=0;
 
   //*****************************************************************************************************
   //Price
   double Harga = iMA(Symbol(),TF,1,0,MODE_EMA,PRICE_CLOSE,i);   
   double OPEN = iOpen(NULL,TF,i);
   double Pivot = (iHigh(NULL,TF,i+1) + iLow(NULL,TF,i+1) + iClose(NULL,TF,i+1))/3;

   //Market
     if (Harga > OPEN) {ExtMapBuffer1[i]=1;}
     if (Harga < Pivot) {ExtMapBuffer2[i]=1;}
     if ((Harga <= OPEN) && (Harga >= Pivot)) {ExtMapBuffer3[i]=1;}
     }


   //*****************************************************************************************************

//----
   return(0);
  }
//+------------------------------------------------------------------+

